# eric7.Preferences.ConfigurationPages.EditorAutocompletionQScintillaPage

Module implementing the QScintilla Autocompletion configuration page.

### Global Attributes

None

### Classes

EditorAutocompletionQScintillaPage | Class implementing the QScintilla Autocompletion configuration page.

### Functions

create | Module function to create the configuration page.

## EditorAutocompletionQScintillaPage

Class implementing the QScintilla Autocompletion configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorAutocompletionQScintillaPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorAutocompletionQScintillaPage | Constructor
save | Public slot to save the Editor Autocompletion configuration.

### Static Methods

None

#### EditorAutocompletionQScintillaPage (Constructor)

EditorAutocompletionQScintillaPage()

Constructor

#### EditorAutocompletionQScintillaPage.save

save()

Public slot to save the Editor Autocompletion configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up